Runtime

## org.eclipse.gmf.runtime.common.ui.services.icon
Interface IIconOperation

All Superinterfaces:
  IOperation

All Known Implementing Classes:
  GetIconOperation, IconOperation

    public interface IIconOperation

extends IOperation

The operation used by the `IconService`.

Method Summary
`IAdaptable` `getHint()` Gets the adaptable hint.

Methods inherited from interface org.eclipse.gmf.runtime.common.core.service.IOperation
`execute`

Method Detail

### getHint

    IAdaptable getHint()

  Gets the adaptable hint.

  Returns:
    the hint

Runtime

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp., Borland Software Corp., and others 2005,2006. All rights reserved.